<?xml version="1.0" encoding="windows-1250" ?>
<xsl:stylesheet version="1.0" 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns="urn:schemas-microsoft-com:office:spreadsheet"
 xmlns:o="urn:schemas-microsoft-com:office:office"
 xmlns:x="urn:schemas-microsoft-com:office:excel"
 xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet"
 xmlns:rs='urn:schemas-microsoft-com:rowset'
 xmlns:z='#RowsetSchema'>

  <xsl:output encoding='utf-16'/>
  
  <xsl:template match="/">
    <xsl:processing-instruction name="mso-application">
      <xsl:copy>progid="Excel.Sheet"</xsl:copy>      
    </xsl:processing-instruction>

    <Workbook>
      <xsl:call-template name="Styles"/>
      <xsl:call-template name="Worksheet"/>
    </Workbook>
  </xsl:template>

  <xsl:template name="Styles">
    <Styles>
      <Style ss:ID="Default" ss:Name="Normal">
        <Alignment ss:Vertical="Bottom"/>
        <Font x:CharSet="238"/>
      </Style>
      <Style ss:ID="s23" ss:Name="Normalny_Arkusz1">
        <Alignment ss:Vertical="Bottom"/>
        <Font x:CharSet="238" ss:Color="#000000"/>
      </Style>
      <Style ss:ID="s37" ss:Parent="s23">
        <Alignment ss:WrapText="1"/>
        <NumberFormat ss:Format="&quot;$&quot;#,##0.00;\(&quot;$&quot;#,##0.00\)"/>
      </Style>
      <Style ss:ID="s45" ss:Parent="s23">
        <Alignment ss:Horizontal="Right"/>
        <Borders>
          <Border ss:Position="Bottom" ss:LineStyle="Continuous" ss:Weight="1"/>
          <Border ss:Position="Top" ss:LineStyle="Continuous" ss:Weight="2"/>
        </Borders>
        <Font ss:Size="9" ss:Color="#FFFFFF"/>
        <Interior ss:Color="#800080" ss:Pattern="Solid"/>
      </Style>
      <Style ss:ID="s53" ss:Parent="s23">
        <Alignment ss:Horizontal="Left"/>
        <Borders>
          <Border ss:Position="Bottom" ss:LineStyle="Continuous" ss:Weight="1"/>
          <Border ss:Position="Top" ss:LineStyle="Continuous" ss:Weight="2"/>
        </Borders>
        <Font x:CharSet="238" ss:Size="11" ss:Color="#FFFFFF" ss:Bold="1"/>
        <Interior ss:Color="#800080" ss:Pattern="Solid"/>
      </Style>
      <Style ss:ID="s67" ss:Parent="s23">
        <Alignment ss:Horizontal="Left" ss:WrapText="1"/>
        <Font x:CharSet="238" ss:Color="#000000" ss:Bold="1"/>
        <Interior ss:Color="#C0C0C0" ss:Pattern="Solid"/>
      </Style>
      <Style ss:ID="s72">
        <Alignment ss:Horizontal="Left" ss:Vertical="Bottom"/>
        <Borders>
          <Border ss:Position="Bottom" ss:LineStyle="Continuous" ss:Weight="2"/>
          <Border ss:Position="Top" ss:LineStyle="Continuous" ss:Weight="1"/>
        </Borders>
        <Font x:CharSet="238" ss:Color="#000080" ss:Bold="1"/>
        <Interior ss:Color="#C0C0C0" ss:Pattern="Solid"/>
      </Style>
      <Style ss:ID="s74">
        <Alignment ss:Vertical="Bottom"/>
        <Borders>
          <Border ss:Position="Bottom" ss:LineStyle="Continuous" ss:Weight="2"/>
          <Border ss:Position="Top" ss:LineStyle="Continuous" ss:Weight="1"/>
        </Borders>
        <NumberFormat ss:Format="&quot;$&quot;#,##0.00;\(&quot;$&quot;#,##0.00\)"/>
      </Style>
      <Style ss:ID="s75" ss:Parent="s23">
        <Alignment ss:Horizontal="Right" ss:WrapText="1"/>
        <Font ss:Color="#000000" ss:Bold="1"/>
        <Interior ss:Color="#C0C0C0" ss:Pattern="Solid"/>
        <NumberFormat ss:Format="&quot;$&quot;#,##0.00;\(&quot;$&quot;#,##0.00\)"/>
      </Style>
      <Style ss:ID="s76" ss:Parent="s23">
        <Alignment ss:Horizontal="Right" ss:WrapText="1"/>
        <Font ss:Color="#000000" ss:Bold="1"/>
        <Interior ss:Color="#C0C0C0" ss:Pattern="Solid"/>
      </Style>
      <Style ss:ID="s77" ss:Parent="s23">
        <Alignment ss:Horizontal="Right" ss:WrapText="1"/>
        <Font ss:Color="#000000" ss:Bold="1"/>
        <Interior ss:Color="#C0C0C0" ss:Pattern="Solid"/>
        <NumberFormat ss:Format="Percent"/>
      </Style>
    </Styles>  
  </xsl:template>

  <xsl:template name="Worksheet">
    <Worksheet ss:Name="Data">
      <Table ss:ExpandedColumnCount="256" x:FullColumns="1" x:FullRows="1">

        <xsl:call-template name="ColumnsWidth"/>
        <xsl:call-template name="Headers"/>
        <xsl:call-template name="Data"/>        
        <xsl:call-template name="Footers"/>

      </Table>
    </Worksheet>
  </xsl:template>

  <xsl:template name="ColumnsWidth">
    <Column ss:Width="100"/>
    <Column ss:Width="170"/>
    <Column ss:Width="100"/>
    <Column ss:Width="80"/>
    <Column ss:Width="75"/>
    <Column ss:Width="80"/>
    <Column ss:AutoFitWidth="0" ss:Width="174" ss:Span="249"/>
  </xsl:template>
  
  <xsl:template name="Headers">
    <Row ss:Height="15">
      <Cell ss:StyleID="s53">
        <Data ss:Type="String">Nr zamwienia</Data>
      </Cell>
      <Cell ss:StyleID="s53">
        <Data ss:Type="String">Nazwa produktu</Data>
      </Cell>
      <Cell ss:StyleID="s53">
        <Data ss:Type="String">Cena jednostkowa</Data>
      </Cell>
      <Cell ss:StyleID="s53">
        <Data ss:Type="String">Liczba</Data>
      </Cell>
      <Cell ss:StyleID="s53">
        <Data ss:Type="String">Rabat</Data>
      </Cell>
      <Cell ss:StyleID="s45">
        <Data ss:Type="String">Warto</Data>
      </Cell>
    </Row>
  </xsl:template>

  <xsl:template name="Data">
    <xsl:apply-templates select="/*/rs:data/z:row"/>
  </xsl:template>

  <xsl:template match="z:row">
    <Row>

      <Cell ss:StyleID="s67">
        <Data ss:Type="Number">
          <xsl:value-of select="@OrderID"/>
        </Data>
      </Cell>
      <Cell ss:StyleID="s67">
        <Data ss:Type="String">
          <xsl:value-of select="@ProductName"/>
        </Data>
      </Cell>
      <Cell ss:StyleID="s75">
        <Data ss:Type="Number">
          <xsl:value-of select="@UnitPrice"/>
        </Data>
      </Cell>
      <Cell ss:StyleID="s76">
        <Data ss:Type="Number">
          <xsl:value-of select="@Quantity"/>
        </Data>
      </Cell>
      <Cell ss:StyleID="s77">
        <Data ss:Type="Number">
          <xsl:value-of select="@Discount"/>
        </Data>
      </Cell>
      
      <Cell ss:StyleID="s37" ss:Formula="=RC[-3]*RC[-2]*(1-RC[-1])">
        
      </Cell>  
    </Row>
  </xsl:template>
  
  <xsl:template name="Footers">
    <Row ss:Height="13.5">
      <Cell ss:StyleID="s72"/>
      <Cell ss:StyleID="s72">
        <Data ss:Type="String">Razem</Data>
      </Cell>
      <Cell ss:StyleID="s72"/>
      <Cell ss:StyleID="s72"/>
      <Cell ss:StyleID="s72"/>

      <Cell ss:StyleID="s74">
        <xsl:attribute name="ss:Formula">
          <xsl:text>=SUM(R[</xsl:text>
          <xsl:value-of select="-count(/*/rs:data/z:row)"/>
          <xsl:text>]C:R[-1]C)</xsl:text>
        </xsl:attribute>
      </Cell>

    </Row>
  </xsl:template>
</xsl:stylesheet>